syntax = "proto3";
option go_package = ".;pb";

message DBReputation {
    string uid = 1; //@go_tags(`bson:"uid"`) 玩家ID
    map<int32,Camp> camps = 2; //@go_tags(`bson:"camps"`) key 阵营id 
    // CampAttr attrGlobal = 3; //@go_tags(`bson:"attrGlobal"`) 全局阵营属性
}

// 阵营
message Camp {
    int32 reputationLv=1; //@go_tags(`bson:"reputationLv"`) 声望等级
    CampAttr campAttr = 2; //@go_tags(`bson:"campAttr"`) 
    repeated TalentNode nodes = 3; //@go_tags(`bson:"nodes"`) 天赋节点
}

// 阵营声望属性
message CampAttr{
    int32 hp = 1; 
    int32 attack = 2;
    int32 defense = 3;
    int32 hpPer = 4;
}

// 天赋节点
message TalentNode{
    int32 nid = 1; //@go_tags(`bson:"nid"`) 节点ID
    int32 lv = 2; //@go_tags(`bson:"lv"`) 天赋节点等级
    int32 status= 3; //@go_tags(`bson:"status"`)  状态 0未升级 1未满级 2满级
}